[arch-commits] Commit in grep/repos (6 files)

Sébastien Luttringer seblu at archlinux.org
Sun Nov 23 22:56:11 UTC 2014


    Date: Sunday, November 23, 2014 @ 23:56:11
  Author: seblu
Revision: 226866

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  grep/repos/testing-i686/
  grep/repos/testing-i686/PKGBUILD
    (from rev 226865, grep/trunk/PKGBUILD)
  grep/repos/testing-i686/grep.install
    (from rev 226865, grep/trunk/grep.install)
  grep/repos/testing-x86_64/
  grep/repos/testing-x86_64/PKGBUILD
    (from rev 226865, grep/trunk/PKGBUILD)
  grep/repos/testing-x86_64/grep.install
    (from rev 226865, grep/trunk/grep.install)

-----------------------------+
 testing-i686/PKGBUILD       |   35 +++++++++++++++++++++++++++++++++++
 testing-i686/grep.install   |   18 ++++++++++++++++++
 testing-x86_64/PKGBUILD     |   35 +++++++++++++++++++++++++++++++++++
 testing-x86_64/grep.install |   18 ++++++++++++++++++
 4 files changed, 106 insertions(+)

Copied: grep/repos/testing-i686/PKGBUILD (from rev 226865, grep/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-11-23 22:56:11 UTC (rev 226866)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.21
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('43c48064d6409862b8a850db83c8038a'
+         'SKIP')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+}

Copied: grep/repos/testing-i686/grep.install (from rev 226865, grep/trunk/grep.install)
===================================================================
--- testing-i686/grep.install	                        (rev 0)
+++ testing-i686/grep.install	2014-11-23 22:56:11 UTC (rev 226866)
@@ -0,0 +1,18 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 ft=sh et:

Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 226865, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-11-23 22:56:11 UTC (rev 226866)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.21
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+install=$pkgname.install
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('43c48064d6409862b8a850db83c8038a'
+         'SKIP')
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr --without-included-regex
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR=$pkgdir install
+}

Copied: grep/repos/testing-x86_64/grep.install (from rev 226865, grep/trunk/grep.install)
===================================================================
--- testing-x86_64/grep.install	                        (rev 0)
+++ testing-x86_64/grep.install	2014-11-23 22:56:11 UTC (rev 226866)
@@ -0,0 +1,18 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 ft=sh et:



More information about the arch-commits mailing list